Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath
Class JXPathInvalidAccessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.jxpath.JXPathException
                      org.apache.commons.jxpath.JXPathInvalidAccessException

All Implemented Interfaces:
  Serializable

    public class JXPathInvalidAccessException

extends JXPathException

Similary to `InvocationTargetException` in that it is thrown when JXPath cannot access properties, collection etc on the target object model.

Version:
  $Revision: 658784 $ $Date: 2008-05-21 12:44:55 -0500 (Wed, 21 May 2008) $
Author:
  Dmitri Plotnikov
See Also:
  Serialized Form

Constructor Summary
`JXPathInvalidAccessException(String message)` Create a new JXPathInvalidAccessException.
`JXPathInvalidAccessException(String message, Throwable ex)` Create a new JXPathInvalidAccessException.

Method Summary

Methods inherited from class org.apache.commons.jxpath.JXPathException
`getCause, getException, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JXPathInvalidAccessException

    public JXPathInvalidAccessException(String message)

  Create a new JXPathInvalidAccessException.

  Parameters:
    `message` - exception message

### JXPathInvalidAccessException

    public JXPathInvalidAccessException(String message,
                                        Throwable ex)

  Create a new JXPathInvalidAccessException.

  Parameters:
    `message` - exception message
    `ex` - precipitating exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.